# Routienen bezglich des Auf-, Durch- und Unterganges von Himmelsobjekten.
# Version: 1998.05.01 
# Diese Library ist Bestandteil des AstroIx Programmpaketes 
# Copyright (c) 1998 Xaman Ek Xols 
# Autor: Wolfgang Pawlowski 

proc gemteil {st h0 breite laenge out} { 
	set zwi [expr (sin($h0) - sin($breite) * sin($d2)) / (cos($breite) * cos($d2))]
	if {$zwi <= -1} { 
		error "Fehler in den Eingabewerten!"
		exit
	}
	if {$zwi >= 1} {
 		error "Das Objekt ist zirkumpolar!"
		exit
	}
        set H0 [expr acos($zwi)]
        while {$H0 < 0} { 
        	set H0 [expr $H0 + 180.0]
	}
	while {$H0 > 180} {   
		set H0 [expr $H0 - 180.0]
	set m0 [expr ($a2 + $laenge - $st) / 360.0]
        set m1 [expr $m0 - ($H0 / 360.0]
        set m2 [expr $m0 + ($H0 / 360.0]
	if {$out == "aufgang"} { set reti $m1}
	if {$out == "durchgang"} { set reti $m0}
	if {$out == "untergang"} { set reti $m2}
	return $reti
}  

#Eingabe:  
#Ausgabe: Aufgangszeit im Array out_zeit 
proc Aufgang {st a1 a2 a3 d1 d2 d3 x refr breite laenge } 
	set h0 [expr refr + x]
	gemteil $st $h0 $breite $laenge "aufgang"
} 

#Eingabe:  
#Ausgabe: Durchgangszeit im Array out_zeit 
proc Durchgang {a1 a2 a3 d1 d2 d3 x refr} { 
	set h0 [expr refr + x]
	gemteil $st $h0 $breite $laenge "aufgang" 
} 

#Eingabe:  
#Ausgabe: Untergangszeit im Array out_zeit 
proc Untergang {a1 a2 a3 d1 d2 d3 x refr} { 
	set h0 [expr refr + x]
	gemteil $st $h0 $breite $laenge "aufgang" 
} 


