# Berechnung des parallaktischen Winkels
# Version: 10.12.1997
# Diese Library ist Bestandteil des AstroIx Programmpaketes
# Copyright (c) 1997 Xaman Ek Xols
# Autor: Wolfgang Pawlowski

# Eingabe: Rektaszension(h), Deklination(Grad), Breitengrad(Grad), akt. Sternzeit(h) 
# Ausgabe: Paralaktischer Winkel in Grad; (Der Ausgabewert 400 bedeutet, da diese Fkt. im Zenit nicht definiert ist!
proc Parallaktischer_Winkel { rek  dek  breitengr st} { 
  global const_pi  
  set h [expr $st - $rek]
  if {$h != 0 && $dek != $breitengr} {
    set h [expr $const_pi * ($h * 15.0) / 180]
    set breite [expr ($const(pi) * $breitengr) / 180.0]
    set h [expr $st - $rek]
    set d [expr sin($h)]
    set n [expr tan($breite) * cos($dek) - sin($dek) * cos($h)]
    set pw [expr atan($d / $n]
  } else {
    set pw 400
  }
  return $pw
}

