# Berechnung des Winkelabstandes zweier Himmelsobjekte
# Version: 11.12.1997
# Diese Library ist Bestandteil des AstroIx Programmpaketes
# Copyright (c) 1997 Xaman Ek Xols
# Autor: Wolfgang Pawlowski

# Eingabe: Koordinatenpaar im quatorsystem. 
# Ausgabe: Winkelabstand
proc Winkelabstand {a1 d1 a2 d2} {
  global const_pi
  set a1 [expr a1 * 15.0]
  set a2 [expr a2 * 15.0]
  set delta_a [expr $a1 - $a2]
  set delta_d [expr $d1 - $d2]
  set delta_a [expr $const_pi * $delta_a / 180.0]
  set delta_d [expr $const_pi *$delta_d / 180.0]
  set d1 [expr $const_pi * $d1 / 180.0]
  set d2 [expr $const_pi * $d2 / 180.0]
  set zwid [expr (1.0 - cos($delta_d)) / 2.0]
  set zwia [expr (1.0 - cos($delta_a)) / 2.0]
  set d [expr $zwid + cos($d1) * cos($d2) * $zwia]
  set d [expr acos($d * -2.0 + 1.0)]
  set d [expr $d * 180.0 / $const_pi]
  return $d
} 